/*
 * See the file LICENSE for redistribution information.
 *
 * Copyright (c) 1998,2006 Oracle.  All rights reserved.
 *
 * $Id: perf_main.c,v 1.3 2006/10/30 17:46:17 bostic Exp $
 */
#include "perf_work.h"
#include <stdio.h>

static int setup(struct perf_globals *g)
{
  printf("In setup\n");
  return 0;
}

static int work(struct perf_globals *g, int i)
{
  printf("In work, iteration is %d\n", i);
  return 0;
}

static int cleanup(struct perf_globals *g)
{
  printf("In cleanup\n");
  return 0;
}

struct perf_workload pw = {setup, work, cleanup};

static void run(struct perf_workload *load)
{
  (void) perf_run_workload(load, 0);
}

int
main(int argc, char **argv)
{
  run(&pw);
  return 0;
}
